#ifndef _ALIAS_H

#define _ALIAS_H

#include "util/llist.h"

typedef struct Alias {
  char *cmd;
  char *alias;
  char **args;
  struct Alias *next;
} Alias;

Alias *LookupAlias(char *cmd);
char *ResolveAlias(char *cmd);
void _makeAlias(char *cmd,char *alias);
Alias *newAlias(void);
Alias *copyAlias(Alias *alias);
void freeAlias(Alias *alias);

#endif
