static struct {
  int signal;
  char *name;
  char *desc;
} signals[] = {
  1, "SIGHUP", "Controlling process died",
  2, "SIGINT", "Process Interrupted",
  3, "SIGQUIT", "Process Quit",
  4, "SIGILL", "Illegal Instruction",
  6, "SIGABRT", "Abort signal",
  8, "SIGFPE", "Floating point exception",
  9, "SIGKILL", "Kill signal",
  11, "SIGSEGV", "Segmentation fault",
  13, "SIGPIPE", "Broken pipe",
  14, "SIGALRM", "Timer signal",
  15, "SIGTERM", "Termination signal",
  10, "SIGUSR1", "User-defined signal 1",
  12, "SIGUSR2", "User-defined signal 2",
  17, "SIGCHLD", "Child stopped or terminated",
  18, "SIGCONT", "Continue if stopped",
  19, "SIGSTOP", "Stop process",
  20, "SIGTSTP", "Stop typed at tty",
  21, "SIGTTIN", "tty input for background process",
  22, "SIGTTOU", "tty output for background process",
  0, 0, 0
};

char *getSigName(int signal);
char *getSigDesc(int signal);
void initSignalHandling(void);
