#include <sys/types.h>
#include "parse/ast.h"
#include "shell/alias.h"

typedef struct FPList {
  FILE *fp;
  struct FPList *next;
} FPList;

void execFromFP(FILE *fp);
FILE *getNextFP(void);
void closeCurFP(void);
void setCurrentAliases(Alias *alias);
Alias *getCurrentAliases(void);
void setCurrentAST(ASTCommand *ast);
ASTCommand *getCurrentAST(void);
void setExecNext(char *cmd);
char *getExecNext(void);
void setCurCMD(char *cmd);
char *getCurCMD(void);
void setInteractive(int n);
int isInteractive(void);
void setCurrentPID(pid_t pid);
pid_t getCurrentPID(void);
